#ifndef NXCDEFS_H
#define NXCDEFS_H
//==============================================================================
//
// Copyright (C) 2006 - John Hansen. All rights reserved.
//
// Workfile:: NXCDefs.h
// Date:: 2006-12-18
// Revision:: 13
//
//------------------------------------------------------------------------------
//
// Contains declarations for the NXC NXT API resources
//
//==============================================================================

#include "NBCCommon.h"

#define PlayTone(f, d) PlayToneEx(f, d, 4, 0)
#define PlayFile(f) PlayFileEx(f, 4, 0)

// input fields
#define SensorType(p) GetInput(p, Type)
#define SensorMode(p) GetInput(p, InputMode)
#define SensorRaw(p) GetInput(p, RawValue)
#define SensorNormalized(p) GetInput(p, NormalizedValue)
#define SensorScaled(p) GetInput(p, ScaledValue)
#define SensorInvalid(p) GetInput(p, InvalidData)

// output fields
#define MotorMode(p) GetOutput(p, OutputMode)
#define MotorPower(p) GetOutput(p, Power)
#define MotorActualSpeed(p) GetOutput(p, ActualSpeed)
#define MotorTachoCount(p) GetOutput(p, TachoCount)
#define MotorTachoLimit(p) GetOutput(p, TachoLimit)
#define MotorRunState(p) GetOutput(p, RunState)
#define MotorTurnRatio(p) GetOutput(p, TurnRatio)
#define MotorRegulation(p) GetOutput(p, RegMode)
#define MotorOverload(p) GetOutput(p, Overload)
#define MotorRegPValue(p) GetOutput(p, RegPValue)
#define MotorRegIValue(p) GetOutput(p, RegIValue)
#define MotorRegDValue(p) GetOutput(p, RegDValue)
#define MotorBlockTachoCount(p) GetOutput(p, BlockTachoCount)
#define MotorRotationCount(p) GetOutput(p, RotationCount)

#define until(c) while(!(c))


#endif // NXCDEFS_H
